package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;

@Entity
@TableGenerator(name="TG1", initialValue=1, allocationSize=101)
public class Entity1 implements Serializable {
    
    @Id
    @GeneratedValue(strategy = GenerationType.TABLE, generator="Entity1TG")
    private Long id;
    
    public Entity1() {
    }
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }
    
    public boolean equals(Object object) {
        if (!(object instanceof Entity1)) {
            return false;
        }
        Entity1 other = (Entity1)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }
    
    public String toString() {
        return "entities.EntityWithTG1[id=" + id + "]";
    }
    
}
