package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;

@Entity
@TableGenerator(name="TG2", initialValue=2, allocationSize=202, pkColumnName="ignoredColumnName")
public class Entity2 implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.TABLE, generator="Entity2TG")
    private Long id;
    
    public Entity2() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        if (!(object instanceof Entity2)) {
            return false;
        }
        Entity2 other = (Entity2)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.EntityWithTG2[id=" + id + "]";
    }
    
}
